"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

const Plot = ({
  data,
  zIndex,
  onPlotMouseEnter,
  onPlotMouseLeave,
  onPlotClick
}) => {
  const circle = (0, _react.useRef)(null);
  return _react.default.createElement("div", {
    style: {
      position: 'absolute',
      top: `${data.positionY}px`,
      left: `${data.positionX}px`,
      width: '1px',
      height: '1px',
      transition: 'top .3s linear, left .3s linear',
      zIndex: zIndex
    }
  }, _react.default.createElement("svg", {
    style: {
      position: 'absolute',
      width: `${Math.ceil(data.r * 2 + 1)}px`,
      height: `${Math.ceil(data.r * 2 + 1)}px`,
      transform: 'translate(-50%, -50%)',
      transition: 'all .3s linear'
    }
  }, _react.default.createElement("circle", {
    ref: circle,
    r: data.r,
    cx: '50%',
    cy: '50%',
    fill: data.groupColor.fill ? data.groupColor.fill : '#dcdcdc',
    stroke: data.groupColor.stroke ? data.groupColor.stroke : '#333',
    strokeWidth: '0.5px',
    "data-plot-group": data.group ? data.group : '',
    onMouseEnter: () => onPlotMouseEnter(circle.current, data),
    onMouseLeave: () => onPlotMouseLeave(circle.current, data),
    onClick: () => onPlotClick(circle.current, data),
    style: {
      transition: 'all .3s linear'
    }
  })));
};

var _default = Plot;
exports.default = _default;