"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireWildcard(require("react"));

var _ChartFrame = _interopRequireDefault(require("./components/ChartFrame"));

var _dataProcessor = require("./functions/dataProcessor");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

const FactfulBubbleChart = (0, _react.memo)(({
  config,
  rawData,
  timeKey
}) => {
  const [data, initData] = (0, _react.useState)(null);
  (0, _react.useEffect)(() => {
    // for the first time only
    initData((0, _dataProcessor.normalize)(rawData, config.normalizeType));
  }, []);
  return _react.default.createElement("div", {
    className: 'factful-bubble-chart'
  }, data && _react.default.createElement(_ChartFrame.default, {
    config: config,
    data: data,
    timeKey: timeKey
  }));
}, (prevProps, nextProps) => {
  // prevent rendering if timeKey was not changed
  return prevProps.timeKey === nextProps.timeKey;
});
var _default = FactfulBubbleChart;
exports.default = _default;